Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

There are various questions available in AskUbuntu related to Cross compiling. They were not of much help to me.

I used to work on gcc-4.5/4.6 for ARM. It was available in Ubuntu repo under the name gcc-4.*-arm-linux-gnueabi

My host linux is running on Ubuntu-12.04. When I planned to move to the latest GCC cross compilers of version 4.7/4.8, it was found that these were the only list of packages available in repo:

gcc-4.*             
gcc-4.*-base        
gcc-4.*-doc         
gcc-4.*-locales     
gcc-4.*-multilib    
gcc-4.*-plugin-dev  
gcc-4.*-source 

I could not find a version specifically for ARM compilers. gcc-4.*-multilib must be the package that handles all the cross compiling stuff. How could I use this package to cross compile for ARM on soft-float

I could not fetch much information from search engines. Even links that would help with my problem are appreciated.

share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.